Author Topic: 8.10 - Video and Motion problems - codecs - after last update.  (Read 1761 times)

pw44

  • Addicted
  • *
  • Posts: 653
    • View Profile
8.10 - Video and Motion problems - codecs - after last update.
« on: September 09, 2012, 12:00:42 am »
Hya,

after some months out of order, after a move, i reinstalled my system (8.10) which was running before the move.
All worked and today i upgraded the system (apt-get update and apt-get upgrade).
After this upgrade, motion did not restart, and i found it's not starting because of some library change.
The message i'm getting is:

motion: symbol lookup error: /usr/lib/i686/cmov/libavcodec.so.51: undefined symbol: lzo1x_decode
- this was the first error i did note -
Today i did discover that NO video plays under xine.

Anyone got it and was able to solve?

TIA,

Paulo
« Last Edit: September 10, 2012, 11:42:07 pm by pw44 »

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3011
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Motion problem (libavcodec)
« Reply #1 on: September 09, 2012, 12:42:02 pm »
I don't have that message, but please check:

Code: [Select]
dpkg -S libavcodec.so.51
and using the name of the package from above do an

Code: [Select]
apt-cache policy name-of-package
and paste the output of both commands in here.

pw44

  • Addicted
  • *
  • Posts: 653
    • View Profile
Re: Motion problem (libavcodec)
« Reply #2 on: September 09, 2012, 04:03:15 pm »
Hi Posde,

the outputs are:

dcerouter_1015642:/home/paulo# dpkg -S libavcodec.so.51
libavcodec-unstripped-51: /usr/lib/libavcodec.so.51
libavcodec-unstripped-51: /usr/lib/i686/cmov/libavcodec.so.51
libavcodec-unstripped-51: /usr/lib/i686/cmov/libavcodec.so.51.50.0
libavcodec-unstripped-51: /usr/lib/libavcodec.so.51.50.0

dcerouter_1015642:/home/paulo# apt-cache policy motion
motion:
  Installed: 3.2.9-7
  Candidate: 3.2.11-2ubuntu4
  Version table:
     3.2.11-2ubuntu4 0
        500 http://archive.ubuntu.com lucid/universe Packages
 *** 3.2.9-7 0
        500 http://fastspeedtest.net intrepid/universe Packages
        100 /var/lib/dpkg/status

dcerouter_1015642:/home/paulo#

Best regards,

Paulo


posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3011
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Motion problem (libavcodec)
« Reply #3 on: September 09, 2012, 07:25:49 pm »
Seems like your sources.list got screwed with some lucid entries. Try removing (or changing to intrepid) the lucid entry from your sources.list, apt-get update and apt-get upgrade, and see if libavcodec-unstripped-51 is being downgraded.

pw44

  • Addicted
  • *
  • Posts: 653
    • View Profile
Re: Motion problem (libavcodec)
« Reply #4 on: September 09, 2012, 11:42:28 pm »
I corrected the line (lucid to intrepid), did apt-get update and apt-get upgrade and nothing was downgraded.
Dirty method: which package shall be removed and re-installed?
TIA.

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3011
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Motion problem (libavcodec)
« Reply #5 on: September 10, 2012, 06:49:17 am »
Do an apt-get install of the package listed, ie. libavcodec-unstripped-51 - that should downgrade to the intrepid one.

pw44

  • Addicted
  • *
  • Posts: 653
    • View Profile
Re: Motion problem (libavcodec)
« Reply #6 on: September 10, 2012, 05:30:12 pm »
Hi Posde,
thx for the answer. I did it, but the same error.

dcerouter_1015642:~# motion
motion: symbol lookup error: /usr/lib/i686/cmov/libavcodec.so.51: undefined symbol: lzo1x_decode
dcerouter_1015642:~# apt-cache policy motion
motion:
  Installed: 3.2.9-7
  Candidate: 3.2.9-7
  Version table:
 *** 3.2.9-7 0
        500 http://old-releases.ubuntu.com intrepid/universe Packages
        100 /var/lib/dpkg/status
dcerouter_1015642:~# apt-cache policy libavcodec-unstripped-51
libavcodec-unstripped-51:
  Installed: 3:0.svn20080206-12ubuntu3+unstripped5
  Candidate: 3:0.svn20080206-12ubuntu3+unstripped5
  Version table:
 *** 3:0.svn20080206-12ubuntu3+unstripped5 0
        500 http://old-releases.ubuntu.com intrepid/multiverse Packages
        100 /var/lib/dpkg/status
dcerouter_1015642:~# dpkg -S libavcodec.so.51
libavcodec-unstripped-51: /usr/lib/libavcodec.so.51
libavcodec-unstripped-51: /usr/lib/i686/cmov/libavcodec.so.51
libavcodec-unstripped-51: /usr/lib/i686/cmov/libavcodec.so.51.50.0
libavcodec-unstripped-51: /usr/lib/libavcodec.so.51.50.0
dcerouter_1015642:~#

So, i'm out of ideas on how to make it work :(
If you can help me further, i will really appreciate it.

TIA

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3011
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Motion problem (libavcodec)
« Reply #7 on: September 10, 2012, 05:50:23 pm »
searching for your error message returned

http://www.algodoo.com/forum/viewtopic.php?f=11&t=2271

See if it helps.

pw44

  • Addicted
  • *
  • Posts: 653
    • View Profile
Re: Motion problem (libavcodec)
« Reply #8 on: September 10, 2012, 09:46:33 pm »
did not help... my running kubuntu is 8.10, and beside the problem, no video can be played....
All this happened after i did the update.
The last time i did an update was september october 2011, when i unplugged all the system for a house change.
Last week, i reinstalled all the hardware, and all worked like before.
Well, i did see that there was some updates and i did it... and got a screwed system. No motion, no videos.... OMG.
Is there a way to make all work without having to install the whole system from zero?

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3011
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Motion problem (libavcodec)
« Reply #9 on: September 10, 2012, 09:55:58 pm »
I have no idea. I haven't touched 810 in ages. And we haven't changed stuff in 810 in ages as well. Sooo, if stuff isn't working it is quite possible due to some updates which happened outside of our control.

pw44

  • Addicted
  • *
  • Posts: 653
    • View Profile
Re: Motion problem (libavcodec)
« Reply #10 on: September 10, 2012, 10:20:03 pm »
Could you then tell me from where i could download the 8.10 packages (.deb) so i can try to recover what was damaged?
TIA

pw44

  • Addicted
  • *
  • Posts: 653
    • View Profile
Re: Motion problem (libavcodec)
« Reply #11 on: September 10, 2012, 11:39:28 pm »
Hi Posde,
first i did think i made some mistake or whatever, but after looking the apt logs, they list:
-rw------- 1 root root  11849 2012-09-10 16:58 term.log
-rw------- 1 root root 128522 2012-09-08 21:46 term.log.1.gz
-rw------- 1 root root    235 2011-10-04 11:17 term.log.2.gz
-rw------- 1 root root    380 2011-09-20 15:41 term.log.3.gz
-rw------- 1 root root 192419 2011-08-23 14:21 term.log.4.gz
-rw------- 1 root root    297 2011-08-11 14:03 term.log.5.gz
-rw------- 1 root root    240 2011-06-18 19:48 term.log.6.gz
which shows that the last update before the problem was on october 10 2011.
After that, the log from september 08 2012 shows:
Log started: 2012-09-08  18:05:06
(Reading database ... 165023 files and directories currently installed.)
Preparing to replace pluto-pnp-detection 2.0.0.44.11080724366 (using .../pluto-pnp-detection_2.0.0.44.11102025034_i386.deb) ...
Unpacking replacement pluto-pnp-detection ...
Preparing to replace pluto-boot-scripts 2.0.0.44.11090624520 (using .../pluto-boot-scripts_2.0.0.44.11100424915_i386.deb) ...
Leaving `diversion of /usr/sbin/NetworkManager to /usr/sbin/NetworkManager.wraped by pluto-boot-scripts'
Unpacking replacement pluto-boot-scripts ...
Preparing to replace pluto-media-database 2.0.0.44.11071324189 (using .../pluto-media-database_2.0.0.44.11100324900_i386.deb) ...
Unpacking replacement pluto-media-database ...
Preparing to replace pluto-mythtv-player 2.0.0.44.11071324189 (using .../pluto-mythtv-player_2.0.0.44.11102025034_i386.deb) ...
Unpacking replacement pluto-mythtv-player ...
Preparing to replace pluto-website-admin 2.0.0.44.11081824431 (using .../pluto-website-admin_2.0.0.44.11100424906_i386.deb) ...
Unpacking replacement pluto-website-admin ...
Preparing to replace huludesktop 0.9.7-1 (using .../huludesktop_0.9.8-1_i386.deb) ...
Unpacking replacement huludesktop ...
Preparing to replace pluto-remoteassistance 2.0.0.44.11071324189 (using .../pluto-remoteassistance_2.0.0.44.11100324900_i386.deb) ...
Unpacking replacement pluto-remoteassistance ...
Preparing to replace pluto-system-database 2.0.0.44.11081824431 (using .../pluto-system-database_2.0.0.44.11110625088_i386.deb) ...
Unpacking replacement pluto-system-database ...
Setting up pluto-pnp-detection (2.0.0.44.11102025034) ...
Setting up pluto-boot-scripts (2.0.0.44.11100424915) ...

Setting up pluto-media-database (2.0.0.44.11100324900) ...

So, there was an update, and some got broken. Is there a way to fix what is now broken?

I can not start motion, video files do not play (only their audio), trying xine from the cli shows the message unsupported codec Xvid, DivX 5 (DX50) and so on....

If needed, i can send the three last apt logs for analisys.

Thx!




posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3011
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: 8.10 - Video and Motion problems - codecs - after last update.
« Reply #12 on: September 11, 2012, 06:44:40 am »
None of the packages in that list have anything to do with motion.

pw44

  • Addicted
  • *
  • Posts: 653
    • View Profile
Re: 8.10 - Video and Motion problems - codecs - after last update.
« Reply #13 on: September 11, 2012, 04:58:59 pm »
I would believe it, if dependencies execution would not remove/upgrade packages and install others.
Fact is: i had it running perfectly for months, and got screwed after the update. Nothing more, nothing less.
All i asked was for help to find out how to correct the mess.
So, it's time to let 8.10 RIP and try 10.04. F***k, all again...

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3011
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: 8.10 - Video and Motion problems - codecs - after last update.
« Reply #14 on: September 11, 2012, 05:30:07 pm »
You are welcome. Thank you for humbly allowing me to invest my time to help you with your problem.